Package com.independentsoft.office.charts.drawing

# Class ShapeExtent

java.lang.Object
com.independentsoft.office.charts.drawing.ShapeExtent

public class ShapeExtent extends Object
The Class ShapeExtent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeExtent()`
  Instantiates a new shape extent.
  `ShapeExtent​(long width, long height)`
  Instantiates a new shape extent.
  `ShapeExtent​(Unit width, Unit height)`
  Instantiates a new shape extent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapeExtent`
  `clone()`
  `Unit`
  `getHeight()`
  Gets the height.
  `Unit`
  `getWidth()`
  Gets the width.
  `void`
  `setHeight​(Unit height)`
  Sets the height.
  `void`
  `setWidth​(Unit width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapeExtent

    public ShapeExtent()
    Instantiates a new shape extent.

  - ### ShapeExtent

    public ShapeExtent​(Unit width, Unit height)
    Instantiates a new shape extent.
    Parameters:
      `width` - the width
      `height` - the height

  - ### ShapeExtent

    public ShapeExtent​(long width, long height)
    Instantiates a new shape extent.
    Parameters:
      `width` - the width
      `height` - the height

- ## Method Details

  - ### clone

    public ShapeExtent clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWidth

    public Unit getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Unit width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getHeight

    public Unit getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Unit height)
    Sets the height.
    Parameters:
      `height` - the new height